/** RTL DEFAULTS
*************************************************** **/
input,
select,
textarea {
    text-align: right;
}


/** Commons
*************************************************** **/
.btn > i {
    padding-right: 0;
    padding-left: 6px;
}

ul > li > i {
    margin-right: 0;
    margin-left: 10px;
}

img.pull-left {
    margin: 0 0 10px 20px;
}

img.pull-right {
    margin: 0 20px 10px 0;
}

.btn > i {
    padding-right: 0;
    padding-left: 6px;
}

#toTop {
    right: auto;
    left: 6px;
}

#showSwitcher {
    left: auto;
    right: 0;
}


/**	Header
*************************************************** **/
#header .logo {
    margin-left: 0;
    margin-right: 15px;
}

#header nav .dropdown-menu li a .fa {
    margin-right: 0;
    margin-left: 6px;
}

#header nav .dropdown-menu {
    right: auto;
    left: 0;
}
body.min #header {
    margin-left: 0;
}


/**	Aside
*************************************************** **/
#aside nav a i.main-icon {
    float: right;
    margin: -12px -10px -12px 10px;
}
#aside nav a i.pull-right {
    padding-left: 0;
    padding-right: 8px;
}
#asidebg {
    left: auto;
    right: 0;
}
#aside {
    left: auto;
    right: 0;
}
#middle {
    margin-left: 0;
    margin-right: 235px;
}
@-moz-document url-prefix() {
    #middle {
        margin-right: 240px;
    }
}
#mobileMenuBtn {
    float: right;
    border: 0;
    border-left: rgba(255, 255, 255, 0.1) 1px solid;
}
body.min #wrapper {
    padding-left: 0;
}
body.min #aside ul.nav>li:hover>ul {
    left: auto;
    right: 50px;
    top: 0px;
}
body.min #aside nav ul li ul > li {
    padding-left: 0;
}
body.min #aside nav ul li ul > li a {
    height: 40px !important;
    line-height: 1.8 !important;
}
#aside nav ul li ul li {
    padding-left: 0;
    padding-right: 40px;
}
body.min #aside nav ul li ul li {
    padding-right: 0;
}
#aside nav ul li ul:before {
    left: auto;
    right: 20px;
}
#aside nav ul li ul li:before {
    left: 0;
    right: 21px;
}
#aside nav ul li ul li ul {
    margin-left: 0;
}
#aside nav ul li ul li ul:before {
    left: auto;
    right: 50px;
}
#aside nav ul li ul li ul li:before {
    right: 13px;
}

body.min #aside ul.nav>li:hover:before {
    right: 50px;
    border-left-color: transparent;
    border-right-color: #5a6667;
}
body.min #aside ul.nav>li:hover>a span {
    left: auto;
    right: 50px;
    padding-left: 0;
    padding-right: 20px;
}

@media only screen and (max-width: 768px) {
    #aside,
    #asidebg {
        margin-right: -235px;
        margin-left: 0;
    }

    @-moz-document url-prefix() {
        #aside,
        #asidebg {
            margin-right: -248px;
        }
    }
    #middle {
        margin-right: 0px;
    }

    body.menu-open #aside,
    body.menu-open #asidebg {
        margin-right: 0 !important
    }

}


/**	Middle
*************************************************** **/
body.min #middle {
    margin-right: 50px;
}


/**	Panel
*************************************************** **/
#middle div.panel-heading ul.options > li:last-child > .btn {
    margin-right: 0;
    margin-left: 10px;
}

#middle .panel-heading ul.options i.fa {
    margin: 0 0 0 4px;
}

#middle div.panel-heading ul.options li:last-child .label,
#middle div.panel-heading ul.options li:last-child .badge {
    margin-left: 15px;
    margin-right: 0;
}

#middle .panel-heading ul.nav-tabs li {
    border-left: 0;
    border-right: rgba(0, 0, 0, 0.04) 1px solid;
}

#middle .panel-heading ul.nav-tabs li {
    border-right-color: rgba(255, 255, 255, 0.08);
}

#middle .panel-heading ul.nav-tabs.pull-left li {
    border-right: 0 !important;
    border-left: rgba(0, 0, 0, 0.08) 1px solid !important;
}

.panel-heading ul.nav-tabs.pull-left {
    margin-left: 0;
    margin-right: -15px;
}

.panel-heading ul.nav-tabs.pull-right {
    margin-left: -15px;
    margin-right: 0;
}


/**	Plugins Rewrite
*************************************************** **/
/*
    OWL Slider [essentials.css]
*/
.owl-theme.controlls-over .owl-controls .owl-page:first-child {
    -webkit-border-top-left-radius: 0;
    -webkit-border-bottom-left-radius: 0;
    -moz-border-radius-topleft: 0;
    -moz-border-radius-bottomleft: 0;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;

    -webkit-border-top-right-radius: 10px;
    -webkit-border-bottom-right-radius: 10px;
    -moz-border-radius-topright: 10px;
    -moz-border-radius-bottomright: 10px;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

.owl-theme.controlls-over .owl-controls .owl-page:last-child {
    -webkit-border-top-left-radius: 10px;
    -webkit-border-bottom-left-radius: 10px;
    -moz-border-radius-topleft: 10px;
    -moz-border-radius-bottomleft: 10px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;

    -webkit-border-top-right-radius: 0;
    -webkit-border-bottom-right-radius: 0;
    -moz-border-radius-topright: 0;
    -moz-border-radius-bottomright: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

/* Featured OWL Carousel */
.owl-carousel.featured .thumbnail.pull-left {
    margin-right: auto;
    margin-left: 20px;
}

.owl-carousel.featured .thumbnail.pull-right {
    margin-left: auto;
    margin-right: 20px;
}

/* Slimscroll */
.slimScrollBar {
    right: auto !important;
    left: 1px !important;
}

/* fancy button */
.fancy_big_btn {
    right: 0;
    left: auto;
}

.fancy_big_btn.inverse {
    left: 0;
    right: auto;
}


/**	Ribbon [essentials.css]
*************************************************** **/
.ribbon {
    right: auto;
    left: -2px;
}

.ribbon .ribbon-inner {
    left: auto;
    right: -8px;
}

.ribbon-inner {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);

    left: auto;
    right: 3px;
}


/**	Tag Cloud [essentials.css]
*************************************************** **/
.tag {
    margin: 0 0 3px 6px;
}


/**	Side Nav [essentials.css]
*************************************************** **/
div.side-nav ul > li > a.dropdown-toggle:before {
    right: auto;
    left: 6px;
}

div.side-nav ul > li:before {
    left: auto;
    right: 0;
    content: "\f104";
}

div.side-nav ul > li > ul > li > a {
    padding: 4px 15px 4px 0;
}

ul.side-nav > li > a > i {
    margin-right: 0;
    margin-left: 8px;
}

ul.side-nav li.list-toggle:after {
    right: auto;
    left: 10px;
    content: "\f105";
}


/**	Forms [essentials.css]
*************************************************** **/
.radio i,
.checkbox i {
    left: auto;
    right: 0;
}

.radio,
.checkbox {
    padding-left: 0;
    padding-right: 27px;
    margin: 0 0 3px 15px;
}

/* fancy switches */
.switch > .switch-label:before {
    left: 3px;
    right: auto;
}

.switch .switch-label:after {
    left: 0;
    right: auto;
}


/* fancy file upload */
.fancy-file-upload > span.button {
    right: auto;
    left: 4px;
}

.fancy-file-upload > textarea,
.fancy-file-upload > input {
    text-align: right;
    padding-left: 0;
    padding-right: 36px;
}


/* fancy inputs / select / textarea */
.fancy-form.fancy-icon-inverse > i {
    right: auto;
    left: 15px;
}

.fancy-form > textarea,
.fancy-form > input {
    padding-right: 36px;
    padding-left: 0;
}

.fancy-form.fancy-icon-inverse > textarea,
.fancy-form.fancy-icon-inverse > input {
    padding-right: 15px;
    padding-left: 36px;
}

.fancy-form > i {
    right: 15px;
    left: auto;
}


.fancy-form-select:before {
    right: auto;
    left: 2px;
    border-left: 0;
    border-right: 1px solid rgba(0, 0, 0, 0.08);
}

.fancy-form > .fancy-arrow,
.fancy-form > .fancy-arrow-double {
    right: auto;
    left: 5px;
}

.fancy-form > .fancy-arrow:after,
.fancy-form > .fancy-arrow:before,
.fancy-form > .fancy-arrow-double:after,
.fancy-form > .fancy-arrow-double:before {
    left: auto;
    right: 6px;
}

/* typeahead */
div.autosuggest .tt-dropdown-menu {
    text-align: right;
}

/* form stepper */
.stepper-wrap {
    margin-right: 0 !important;
    margin-left: 35px !important;
}

.stepper-wrap input {
    padding-right: 10px;
    padding-left: 0;
}

.stepper-btn-wrap {
    right: auto;
    left: -34px;
}


/* select 2 */
.select2-container--default .select2-selection--single {
    text-align: right;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    padding-left: 20px;
    padding-right: 8px;
}

.select2-results {
    text-align: right;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    right: auto;
    left: 10px;
}


/* color picker */
input.colorpicker {
    padding-left: 65px;
    padding-right: 0;
}

input.colorpicker + .sp-replacer {
    right: auto;
    left: 0;
    margin-left: 0;
    margin-right: -55px;
}

.sp-preview,
.sp-dd {
    float: right;

}

.sp-preview {
    margin-right: 0;
    margin-left: 5px;
}


/**	[Shortcode] Labels & Badges
*************************************************** **/
.label.label-square.pull-left {
    margin-left: 10px;
    margin-right: 0;
}

.label.label-square.pull-right {
    margin-left: 0;
    margin-right: 10px;
}


/**	[Shortcode] Alerts
*************************************************** **/
.alert {
    border-right: rgba(0, 0, 0, 0.1) 5px solid;
}


/**	[Shortcode] Buttons
*************************************************** **/
.btn-featured span {
    float: right;
}

.btn-featured i {
    float: right;
}

.btn-featured.btn-inverse span {
    float: left;
}

.btn-featured.btn-inverse i {
    float: left;
}


/**	[Shortcode] Blockquote
*************************************************** **/
blockquote {
    border-left: 0;
    border-right: 5px solid rgba(0, 0, 0, 0.1);
    padding: 0 25px 0 0;
    text-align: right;
    position: relative;
}

blockquote.reverse {
    border-right: 0;
    border-left: 5px solid rgba(0, 0, 0, 0.1);
    padding: 0 0 0 25px;
    text-align: left;
}

blockquote.quote:before {
    top: 0;
    right: 0;
    left: auto;
    text-align: right;
}

blockquote.quote.reverse:before {
    left: 0;
    right: auto;
    text-align: left;
}

blockquote.pull-left {
    padding-left: 20px;
    padding-bottom: 10px;
}

blockquote.pull-right {
    padding-right: 20px;
    padding-bottom: 10px;
}


/**	[Shortcode] Process Steps
*************************************************** **/
.process-wizard > .process-wizard-step:first-child > .progress {
    left: auto;
    right: 50%;
    width: 50%;
}


ul.process-steps li:after,
ul.process-steps li:before {
    left: auto;
    right: 0;
}

ul.process-steps li:after {
    left: 0;
    right: auto;
    margin: 0 0 0 -26px;
}

ul.process-steps li > a > i {
    margin-right: -5px;
}

/**	[Shortcode]  Toggles & Accordions
*************************************************** **/
div.toggle > label:before,
div.toggle.active > label:before {
    right: auto;
    left: 14px;
}

/**	[Shortcode] Testimonials
**************************************************************** **/
div.testimonial-content {
    padding-left: 0;
    padding-right: 75px;
}

/* owl mini carousel testimonial */
div.owl-carousel.owl-mini-testimonial {
    text-align: right;
}

div.owl-carousel.owl-mini-testimonial .testimonial-content {
    text-align: right;
}

div.owl-carousel.owl-mini-testimonial .testimonial img {
    float: right;
    margin-right: 0;
    margin-left: 20px;
}

div.owl-carousel.owl-mini-testimonial .owl-controls {
    text-align: left;
}


/**	[essentials.css] Sky Form
**************************************************************** **/
.sky-form .ico-append {
    right: auto;
    left: 5px;
    padding-left: 0;
    padding-right: 3px;
    border-right: #e5e5e5 1px solid;
    border-left-width: 0;
}

.sky-form .ico-prepend {
    right: 5px;
    left: autp;
    padding-right: 0;
    padding-left: 3px;
    border-left: #e5e5e5 1px solid;
    border-right-width: 0;
}

.sky-form .input .ico-prepend + .ico-append + input,
.sky-form .input .ico-prepend + input,
.sky-form .textarea .ico-prepend + .ico-append + textarea,
.sky-form .textarea .ico-prepend + textarea {
    padding-left: 3px;
    padding-right: 46px;
}

.sky-form .btn {
    margin: 10px 20px 0 0;
}


/** Tabs
 **************************************************************** **/
div.tabs ul.nav-tabs a i.fa {
    padding-left: 6px;
    padding-right: 0;
}

ul.easypiecharts li {
    border-right: 0;
    border-left: 1px solid #e4e5e6;
}

ul.easypiecharts li:last-child {
    border: 0;
}

ul.easypiecharts li span.stat-number,
ul.easypiecharts li span.stat-title {
    left: 15px;
    right: auto;
}

.box .box-title i.fa {
    right: auto;
    left: 0;
}
